# Class OutputCapture

java.lang.Object
uk.ac.starlink.ttools.build.OutputCapture

public class OutputCapture extends Object
Captures the output of a java main() method, wraps it in a CDATA marked section, and outputs it. This class is designed to be used from its main() method.

Since:
  17 Aug 2005
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Writes CDATA-wrapped output.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### main

public static void main(String[] args) throws Exception
Writes CDATA-wrapped output. First element of `args` is the name of a class, subsequent elements are arguments to be passed to the main method of that class. Blank lines are stripped and a blank is prepended to each line.

Parameters:
  `args` - argument vector
Throws:
  `Exception`